//A7121.ino Arbre d'interruption - test timer0 et servo
#include "LcDef.h"
#include "Robot.h"
#include "DistIr.h"

void setup () {
  LcSetup();
  SetupDistIr();
  TCCR2A = 0;
  TCCR2B = 0b00000010;  // clk/8 2MHz 100 us  div200
  TIMSK2 = 0b00000001;
  sei();
}

volatile byte cnt1;
ISR (TIMER2_OVF_vect) {
  TCNT2 = -198 ; //100 us
  DoDistIr();
  if (cnt1++ >= 30) { // toutes les 2ms
     cnt1 = 0;
     DoPfmDG(); 
  }
}

void loop () {
  pfmD = distIrG;
  pfmG = distIrD;
  if (ObsD || ObsG) {
    pfmD=0; pfmG=0;
    Led13On;
    for (;;);  // stop
  }
}



