//Robot.h
#define AvG   Led2On; Led1Off
#define RecG  Led2Off; Led1On
#define StopG Led2Off; Led1Off
#define AvD   Led3On; Led4Off
#define RecD  Led3Off; Led4On
#define StopD Led3Off; Led4Off
#define PwmD(vv) analogWrite(6,vv)
#define PwmG(vv) analogWrite(5,vv)
#define ObsG  Pous1On
#define ObsD  Pous2On

#define Nniv 31 // entre 2 et 127
byte pfmD,pfmG;  // globaux
void DoPfmDG () {  // durée 4 us
static signed char pfmCntD,pfmCntG;
  if (!(pfmD&(1<<7))) {  // positif
    if  (pfmD > Nniv) { pfmD = Nniv; }
    if ((pfmCntD += pfmD) > Nniv) {
      pfmCntD -= Nniv; 
      AvD;
    }
    else { StopD; }
  }
  else {  // négatif
    if  (pfmD <- Nniv) { pfmD = -Nniv; }
    if ((pfmCntD -= pfmD) > Nniv) {
      pfmCntD -= Nniv; 
      RecD;
    }
    else { StopD; }
  }
  // moteur G
    if (!(pfmG &(1<<7))) {  // positif
    if  (pfmG > Nniv) { pfmG = Nniv; }
    if ((pfmCntG += pfmG) > Nniv) {
      pfmCntG -= Nniv; 
      AvG;
    }
    else { StopG; }
  }
  else {  // négatif
    if  (pfmG <- Nniv) { pfmG = -Nniv; }
    if ((pfmCntG -= pfmG) > Nniv) {
      pfmCntG -= Nniv; 
      RecG;
    }
    else { StopG; }
  }
}

